<?php
session_start();
include ('private/mysql.php');
include ('tmp/head.php');



switch($sd){
default:
$signot = md5('email=support@xsolla.comout=10project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
echo "<b>Способ оплаты:</b><div class='linem'></div>
<ul class='list_page'>
<li><a href='?sd=sms'><img src='img/sms.png' width='16'> При помощи SMS</a></li>
<li><a href='donate.php?sd=webmoney'><img src='img/webmoney_i.png' width='16'> WebMoney</a></li>
<li><a href='donate.php?sd=webmoneysend'><img src='img/webmoney_i.png' width='16'> C помощью перевода средств WebMoney</a></li>
<li><a href='donate.php?sd=qiwi'><img src='img/qiwi_i.png' width='16'> Qiwi</a></li>
<li><a href='donate.php?sd=liqpay'><img src='img/liqpay.png' width='16'> LiqPay</a></li>
<li><a href='donate.php?sd=terminal'>С помощью терминала</a></li>
<li><a style='color:grey' href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=list&v1=$uid&local=ru&country=RU&out=10&email=support@xsolla.com&sign=$signot'>Другие способы оплаты</a></li>";

echo "</ul><div class='linem2'></div>";

echo "<b>Услуги:</b><div class='linem'></div>
<ul class='list_page'>
<li><a href='/donate/baff'><img src='img/baff/baffuron1.png' width='18'> Эфиры</a></li>
<li><a href='donate.php?sd=premium'><img src='img/vip.png' width='18'> Премиум аккаунт</a></li>
<li><a href='donate.php?sd=key'><img src='img/key.png'> Обмен ключей</a></li>
<li><a href='donate.php?sd=silver'><img src='img/silver.png'> Обмен серебра</a></li>";

echo "</ul><div class='linem2'></div>";
break;



case 'sms':
$signsms1 = md5('email=support@xsolla.comout=10project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
$signsms2 = md5('email=support@xsolla.comout=50project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
$signsms3 = md5('email=support@xsolla.comout=100project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
$signsms4 = md5('email=support@xsolla.comout=500project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
echo "<b>Способ оплаты:</b><div class='linem'></div>
<ul class='list_page'>
<li><a href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=directpayment&v1=$uid&local=ru&country=RU&out=10&email=support@xsolla.com&pid=1738&sign=$signsms1'><img src='img/sms.png' width='16'> <font color=violet>10</font> <img src='/img/almaz.png'></small></a></li>
<li><a href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=directpayment&v1=$uid&local=ru&country=RU&out=50&email=support@xsolla.com&pid=1738&sign=$signsms2'><img src='img/sms.png' width='16'> <font color=violet>50</font> <img src='/img/almaz.png'></small></a></li>
<li><a href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=directpayment&v1=$uid&local=ru&country=RU&out=100&email=support@xsolla.com&pid=1738&sign=$signsms3'><img src='img/sms.png' width='16'> <font color=violet>100</font> <img src='/img/almaz.png'></small></a></li>
<li><a href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=directpayment&v1=$uid&local=ru&country=RU&out=500&email=support@xsolla.com&pid=1738&sign=$signsms4'><img src='img/sms.png' width='16'> <font color=violet>500</font> <img src='/img/almaz.png'></small></a></li>";
break;



case 'usbaff':

if($id=='6'){
    if($user['almaz']<'20'){
        header('Location: /donate/baff');
        exit;
    }
    $q = mysql_query("SELECT * FROM `baff` WHERE `user`='$uid' and `tip`='hp'");
    $e = mysql_num_rows($q);
    if($e>='1'){
        header('Location: /donate/baff');
        exit;
    }
    $st = time()+86400;
    
    mysql_query("INSERT INTO `baff` SET `user`='$uid',`name`='Эфир жизни III',`img`='baffhp3.png',`tip`='hp',`hp`='10000',`time`='$st'");
    
    mysql_query("UPDATE `users` SET `hpall`=`hpall`+'10000',`almaz`=`almaz`-'20' WHERE `id`='$uid'");
    
    header('Location: /donate/baff');
    exit;
}

if($id=='4'){
    if($user['almaz']<'8'){
        header('Location: /donate/baff');
        exit;
    }
    $q = mysql_query("SELECT * FROM `baff` WHERE `user`='$uid' and `tip`='hp'");
    $e = mysql_num_rows($q);
    if($e>='1'){
        header('Location: /donate/baff');
        exit;
    }
    $st = time()+21600;
    
    mysql_query("INSERT INTO `baff` SET `user`='$uid',`name`='Эфир жизни II',`img`='baffhp2.png',`tip`='hp',`hp`='5000',`time`='$st'");
    
    mysql_query("UPDATE `users` SET `hpall`=`hpall`+'5000',`almaz`=`almaz`-'8' WHERE `id`='$uid'");
    
    header('Location: /donate/baff');
    exit;
}

if($id=='2'){
    if($user['almaz']<'1'){
        header('Location: /donate/baff');
        exit;
    }
    $q = mysql_query("SELECT * FROM `baff` WHERE `user`='$uid' and `tip`='hp'");
    $e = mysql_num_rows($q);
    if($e>='1'){
        header('Location: /donate/baff');
        exit;
    }
    $st = time()+43200;
    
    mysql_query("INSERT INTO `baff` SET `user`='$uid',`name`='Эфир жизни I',`img`='baffhp1.png',`tip`='hp',`hp`='2500',`time`='$st'");
    
    mysql_query("UPDATE `users` SET `hpall`=`hpall`+'2500',`almaz`=`almaz`-'1' WHERE `id`='$uid'");
    
    header('Location: /donate/baff');
    exit;
}

if($id=='5'){
    if($user['almaz']<'20'){
        header('Location: /donate/baff');
        exit;
    }
    $q = mysql_query("SELECT * FROM `baff` WHERE `user`='$uid' and `tip`='uron'");
    $e = mysql_num_rows($q);
    if($e>='1'){
        header('Location: /donate/baff');
        exit;
    }
    $st = time()+86400;
    
    mysql_query("INSERT INTO `baff` SET `user`='$uid',`name`='Эфир силы III',`img`='baffuron3.png',`tip`='uron',`uron`='160',`time`='$st'");
    
    mysql_query("UPDATE `users` SET `min_u`=`min_u`+'160',`max_u`=`max_u`+'160',`almaz`=`almaz`-'20' WHERE `id`='$uid'");
    
    header('Location: /donate/baff');
    exit;
}

if($id=='3'){
    if($user['almaz']<'8'){
        header('Location: /donate/baff');
        exit;
    }
    $q = mysql_query("SELECT * FROM `baff` WHERE `user`='$uid' and `tip`='uron'");
    $e = mysql_num_rows($q);
    if($e>='1'){
        header('Location: /donate/baff');
        exit;
    }
    $st = time()+43200;
    
    mysql_query("INSERT INTO `baff` SET `user`='$uid',`name`='Эфир силы II',`img`='baffuron2.png',`tip`='uron',`uron`='80',`time`='$st'");
    
    mysql_query("UPDATE `users` SET `min_u`=`min_u`+'80',`max_u`=`max_u`+'80',`almaz`=`almaz`-'8' WHERE `id`='$uid'");
    
    header('Location: /donate/baff');
    exit;
}

if($id=='1'){
    if($user['almaz']<'1'){
        header('Location: /donate/baff');
        exit;
    }
    $q = mysql_query("SELECT * FROM `baff` WHERE `user`='$uid' and `tip`='uron'");
    $e = mysql_num_rows($q);
    if($e>='1'){
        header('Location: /donate/baff');
        exit;
    }
    $st = time()+21600;
    
    mysql_query("INSERT INTO `baff` SET `user`='$uid',`name`='Эфир силы I',`img`='baffuron1.png',`tip`='uron',`uron`='40',`time`='$st'");
    
    mysql_query("UPDATE `users` SET `min_u`=`min_u`+'40',`max_u`=`max_u`+'40',`almaz`=`almaz`-'1' WHERE `id`='$uid'");
    
    header('Location: /donate/baff');
    exit;
}


break;


case 'baff':

echo "<small><span style='float:left'><img src='/img/baff/baffuron1.png'></span>&nbsp; Эфир силы I<br>&nbsp; +40 <img src='/img/uron.png'> на 6 часов<br>&nbsp; [<a href='/donate/usbaff/1'>Использовать</a> <font color=violet>1</font> <img src='/img/almaz.png'>]</small><hr>";
echo "<small><span style='float:left'><img src='/img/baff/baffhp1.png'></span>&nbsp; Эфир жизни I<br>&nbsp; +2500 <img src='/img/hp.png'> на 6 часов<br>&nbsp; [<a href='/donate/usbaff/2'>Использовать</a> <font color=violet>1</font> <img src='/img/almaz.png'>]</small><hr>";

echo "<small><span style='float:left'><img src='/img/baff/baffuron2.png'></span>&nbsp; Эфир силы II<br>&nbsp; +80 <img src='/img/uron.png'> на 12 часов<br>&nbsp; [<a href='/donate/usbaff/3'>Использовать</a> <font color=violet>8</font> <img src='/img/almaz.png'>]</small><hr>";
echo "<small><span style='float:left'><img src='/img/baff/baffhp2.png'></span>&nbsp; Эфир жизни II<br>&nbsp; +5000 <img src='/img/hp.png'> на 12 часов<br>&nbsp; [<a href='/donate/usbaff/4'>Использовать</a> <font color=violet>8</font> <img src='/img/almaz.png'>]</small><hr>";

echo "<small><span style='float:left'><img src='/img/baff/baffuron3.png'></span>&nbsp; Эфир силы III<br>&nbsp; +160 <img src='/img/uron.png'> на 24 часа<br>&nbsp; [<a href='/donate/usbaff/5'>Использовать</a> <font color=violet>20</font> <img src='/img/almaz.png'>]</small><hr>";
echo "<small><span style='float:left'><img src='/img/baff/baffhp3.png'></span>&nbsp; Эфир жизни III<br>&nbsp; +10000 <img src='/img/hp.png'> на 24 часа<br>&nbsp; [<a href='/donate/usbaff/6'>Использовать</a> <font color=violet>20</font> <img src='/img/almaz.png'>]</small><hr>";

break;

case 'silverob':

if($user['level']<='9'){$obk=$user['level']+1;}else{$obk=$user['level']+10;}

$obk2 = $obk*1000;

if($user['almaz']<$obk){
    header('Location: donate.php?sd=silver');
    exit;
}

mysql_query("UPDATE `users` SET `silver`=`silver`+'$obk2',`almaz`=`almaz`-'$obk' WHERE `id`='$uid'");

header('Location: donate.php?sd=silver');
exit;

break;


case 'silver':

echo "<img src='img/silver.png'> $user[silver]<br><img src='img/almaz.png'> $user[almaz]";


if($user['level']<='9'){$obk=$user['level']+1;}else{$obk=$user['level']+10;}

$obk2 = $obk*1000;

echo "<center>Вы можете обменять ".number_format($obk)." <img src='img/almaz.png'> на ".$obk2." <img src='img/silver.png'><br><a href='?sd=silverob'>Обменять</a></center>";


break;


case 'buyp':

$q = mysql_query("SELECT * FROM `premium_shop` WHERE `id`='$id'");
$e = mysql_num_rows($q);
$w = mysql_fetch_assoc($q);
if($e == '0'){
    header('Location: main.php');
    exit;
}

if($user['level'] < $w['level']){
    header('Location: main.php');
    exit;
}

if($user['almaz'] < $w['almaz']){
    echo "У вас недостаточно денег для покупки.<br><a href='shopweapon.php'>Назад</a>";
    include ('tmp/foot.php');
    exit;
}
if($user['silver'] < $w['silver']){
    echo "У вас недостаточно денег для покупки.<br><a href='shopweapon.php'>Назад</a>";
    include ('tmp/foot.php');
    exit;
}




mysql_query("INSERT INTO `item` SET 
`user`='$uid',
`name`='$w[name]',
`tip`='$w[tip]',
`level`='$w[level]',
`almaz`='$w[almaz]',
`silver`='$w[silver]',
`img`='$w[img]',
`hp`='$w[hp]',
`mp`='$w[mp]',
`min_u`='$w[min_u]',
`max_u`='$w[max_u]',
`status`='not'");

mysql_query("UPDATE `users` SET `almaz`=`almaz`-'$w[almaz]',`silver`=`silver`-'$w[silver]' WHERE `id`='$uid'");

echo "Вы купили <b>$w[name]</b><br><a href='donate.php?sd=premiums'>Вернуться</a>";


break;

case 'premiumz':
$tip = mysql_real_escape_string(htmlspecialchars(strip_tags($_GET['tip'])));

$q = mysql_query("SELECT * FROM `premium_shop` WHERE `tip`='$tip'");
$e = mysql_num_rows($q);
if($e=='0'){
	header('Location: main.php');
	exit;
}

While($w = mysql_fetch_assoc($q)){
	
	if($w['tip']=='weapon'){$stat="Урон: $w[min_u] - $w[max_u]";}else{$stat="Живучесть: $w[hp]";}
	
	echo "<span style='float:left'><img src='/img/shmot/$w[img]' width='50'></span>&nbsp;$w[name] $w[level] ур.<br>&nbsp;$stat<br>&nbsp;[<a href='?sd=buyp&id=$w[id]'>Купить <img src='img/almaz.png'> $w[almaz]</a>]<hr>";
	
}


echo "← <a href='?sd=premiums'>назад</a>";

break;


case 'premiums':

if($user['access']>='3'){echo"<a href='azone.php?sd=add_shmotp'>Создать вещь</a><hr>";}

echo "<div class='linem'></div><ul class='list_page'>
<li><a href='?sd=premiumz&tip=weapon'>Оружие</a></li>
<li><a href='?sd=premiumz&tip=helmet'>Броня</a></li>
<li><a href='?sd=premiumz&tip=ple4i'>Наплечники</a></li>
<li><a href='?sd=premiumz&tip=armor'>Доспехи</a></li>
<li><a href='?sd=premiumz&tip=shield'>Щиты</a></li>
<li><a href='?sd=premiumz&tip=gloves'>Перчатки</a></li>
<li><a href='?sd=premiumz&tip=pants'>Поножи</a></li>
<li><a href='?sd=premiumz&tip=boots'>Сапоги</a></li>
<li><a href='?sd=premiumz&tip=amulet'>Амулеты</a></li>
</ul><div class='linem2'></div>";

break;


case 'keyob':

if($id=='1'){
    if($user['almaz']<'1'){
        header('Location: donate.php?sd=key');
        exit;
    }
    mysql_query("UPDATE `users` SET `almaz`=`almaz`-'1',`key`=`key`+'3' WHERE `id`='$uid'");
    header('Location: donate.php?sd=key');
    exit;
}

if($id=='2'){
    if($user['almaz']<'3'){
        header('Location: donate.php?sd=key');
        exit;
    }
    mysql_query("UPDATE `users` SET `almaz`=`almaz`-'3',`key`=`key`+'9' WHERE `id`='$uid'");
    header('Location: donate.php?sd=key');
    exit;
}

if($id=='3'){
    if($user['almaz']<'10'){
        header('Location: donate.php?sd=key');
        exit;
    }
    mysql_query("UPDATE `users` SET `almaz`=`almaz`-'10',`key`=`key`+'30' WHERE `id`='$uid'");
    header('Location: donate.php?sd=key');
    exit;
}

if($id=='4'){
    if($user['almaz']<'25'){
        header('Location: donate.php?sd=key');
        exit;
    }
    mysql_query("UPDATE `users` SET `almaz`=`almaz`-'25',`key`=`key`+'75' WHERE `id`='$uid'");
    header('Location: donate.php?sd=key');
    exit;
}

break;

case 'key':

echo "<img src='img/key.png'> $user[key]<br><img src='img/almaz.png'> $user[almaz]";

echo "<ul class='list_page'><div class='linem'></div>";

echo "<li><a href='donate.php?sd=keyob&id=1'>Обменять <img src='img/almaz.png'> 1 алмаз на <img src='img/key.png'> 3 ключа</a></li>";
echo "<li><a href='donate.php?sd=keyob&id=2'>Обменять <img src='img/almaz.png'> 3 алмаза на <img src='img/key.png'> 9 ключей</a></li>";
echo "<li><a href='donate.php?sd=keyob&id=3'>Обменять <img src='img/almaz.png'> 10 алмазов на <img src='img/key.png'> 30 ключей</a></li>";
echo "<li><a href='donate.php?sd=keyob&id=4'>Обменять <img src='img/almaz.png'> 25 алмазов на <img src='img/key.png'> 75 ключей</a></li>";

echo "</ul><div class='linem2'></div>";
break;


case 'liqpay':

echo "<center><b>LiqPay</b><div class='linem'></div>";

echo "<ul class='list_page'>";

$sign = md5('email=support@xsolla.comout=10project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
echo "<li><a href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=directpayment&v1=$uid&local=ru&country=RU&out=10&email=support@xsolla.com&pid=25&sign=$sign'><img src='img/almaz.png'> 10 алмазов</a></li>";

$sign = md5('email=support@xsolla.comout=50project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
echo "<li><a href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=directpayment&v1=$uid&local=ru&country=RU&out=50&email=support@xsolla.com&pid=25&sign=$sign'><img src='img/almaz.png'> 50 алмазов</a></li>";

$sign = md5('email=support@xsolla.comout=200project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
echo "<li><a href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=directpayment&v1=$uid&local=ru&country=RU&out=200&email=support@xsolla.com&pid=25&sign=$sign'><img src='img/almaz.png'> 200 алмазов</a></li>";

$sign = md5('email=support@xsolla.comout=500project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
echo "<li><a href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=directpayment&v1=$uid&local=ru&country=RU&out=500&email=support@xsolla.com&pid=25&sign=$sign'><img src='img/almaz.png'> 500 алмазов</a></li>";


echo "</ul><div class='linem2'></div></center>";
break;


case 'qiwi':

echo "<center><img src='img/qiwi.png' width='250' height='100'><div class='linem'></div>";

echo "<ul class='list_page'>";

$sign = md5('email=support@xsolla.comout=10project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
echo "<li><a href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=directpayment&v1=$uid&local=ru&country=RU&out=10&email=support@xsolla.com&pid=16&sign=$sign'><img src='img/almaz.png'> 10 алмазов</a></li>";

$sign = md5('email=support@xsolla.comout=50project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
echo "<li><a href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=directpayment&v1=$uid&local=ru&country=RU&out=50&email=support@xsolla.com&pid=16&sign=$sign'><img src='img/almaz.png'> 50 алмазов</a></li>";

$sign = md5('email=support@xsolla.comout=200project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
echo "<li><a href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=directpayment&v1=$uid&local=ru&country=RU&out=200&email=support@xsolla.com&pid=16&sign=$sign'><img src='img/almaz.png'> 200 алмазов</a></li>";

$sign = md5('email=support@xsolla.comout=500project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
echo "<li><a href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=directpayment&v1=$uid&local=ru&country=RU&out=500&email=support@xsolla.com&pid=16&sign=$sign'><img src='img/almaz.png'> 500 алмазов</a></li>";


echo "</ul><div class='linem2'></div></center>";
break;



case 'webmoney':

echo "<center><img src='img/logo-wm.png' width='250' height='80'><div class='linem'></div>";

echo "<ul class='list_page'>";


$sign = md5('email=support@xsolla.comout=10project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
echo "<li><a href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=directpayment&v1=$uid&local=ru&country=RU&out=10&email=support@xsolla.com&pid=6&sign=$sign'><img src='img/almaz.png'> 10 алмазов</a></li>";

$sign = md5('email=support@xsolla.comout=50project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
echo "<li><a href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=directpayment&v1=$uid&local=ru&country=RU&out=50&email=support@xsolla.com&pid=6&sign=$sign'><img src='img/almaz.png'> 50 алмазов</a></li>";

$sign = md5('email=support@xsolla.comout=200project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
echo "<li><a href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=directpayment&v1=$uid&local=ru&country=RU&out=200&email=support@xsolla.com&pid=6&sign=$sign'><img src='img/almaz.png'> 200 алмазов</a></li>";

$sign = md5('email=support@xsolla.comout=500project=13689theme=100v1='.$uid.'F7EgqHRJz8b9JE3R');
echo "<li><a href='https://secure.xsolla.com/paystation2/?theme=100&project=13689&marketplace=mobile&action=directpayment&v1=$uid&local=ru&country=RU&out=500&email=support@xsolla.com&pid=6&sign=$sign'><img src='img/almaz.png'> 500 алмазов</a></li>";


echo "</ul><div class='linem2'></div></center>";
break;


case 'terminal':

echo "<font color=violet>10 <img src='img/almaz.png'> алмазов</font> = 15 рублей<br><br>
<b>Инструкция</b>:<br>
Найди в любом терминале кнопку <b>xsolla</b>, введи свой личный <font color=lightgreen>xsolla-номер</font>, внеси оплату и моментально получи <font color=violet>алмазы</font> <img src='/img/almaz.png'> в игре!<br><br>
<img src='img/xsolla_logo.png'><br><br>";

$url="https://api.xsolla.com/xsolla_number.php?project=13689&v1=$uid&format=text";
$ch = curl_init($url);

curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; MyIE2; .NET CLR 1.1.4322)"); 
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
curl_setopt($ch, CURLOPT_TIMEOUT, 20);

echo "<div class='blockx'>Твой личный xsolla-номер:<br>
<font color=lightgreen><b>".curl_exec($ch)."</b></font></div>";

curl_close($ch);

break;


case 'payme':

if(empty($_POST['submit'])){
    
    echo "<form action='donate.php?sd=payme' method='post'>
    Кошелёк с которого переводились средства:<br>
    <input type='text' name='wm' class='enter'><br>
    Время перевода:<br>
    <input type='text' name='time' class='enter'><br>
    Кол-во алмазов:<br>
    <input type='text' name='kol' class='enter'><br>
    Примечание:<br>
    <textarea name='text' class='enter'></textarea><br>
    <input type='submit' name='submit' value='Отправить' class='enter'></form>";
    
}else{
    
    $kol = (int)mysql_real_escape_string(htmlspecialchars($_POST['kol']));
    $wm = mysql_real_escape_string(htmlspecialchars($_POST['wm']));
    $time = mysql_real_escape_string(htmlspecialchars($_POST['time']));
    $text = mysql_real_escape_string(htmlspecialchars($_POST['text']));
    
    mysql_query("INSERT INTO `payme` SET `user`='$uid',`text`='$text',`wm`='$wm',`kol`='$kol',`time`='$time'");
    
    header('Location: donate.php');
    exit;
    
}


break;



case 'webmoneysend':

echo "<font size=2><li><font color=violet> 10 <img src='img/almaz.png'> алмазов</font>:</font><br><br>
5 UAH - U195805973420<br>
15 RUB - R171032138761<br>
0,39 USD - Z625139118493<br>
4065 BYR - B102587584467<br><br>
<font size=2 color=grey>
<li>В примечании ввести: <font size=3 color=lightgreen>id:$uid</font> или <font size=3 color=lightgreen>$log</font></li>
<li>После перевода средств,заполните <a href='donate.php?sd=payme'>эту форму</a></font></li>";


break;


case 'premium24':

if($user['almaz']<140){
    $kl = 140-$user['almaz'];
    $_SESSION['premium']="<font color=red>Вам нехватает <img src='img/almaz.png'> $kl</font><hr>";
    header('Location: donate.php?sd=premium');
    exit;
}


if($user['premium_time']>=time()){
    mysql_query("UPDATE `users` SET `almaz`=`almaz`-'140',`premium`='1',`premium_time`=`premium_time`+'86400' WHERE `id`='$uid'");
}else{
    $pr = time()+86400;
    mysql_query("UPDATE `users` SET `almaz`=`almaz`-'140',`premium`='1',`premium_time`='$pr' WHERE `id`='$uid'");
}

$_SESSION['premium']="<font color=lightgreen>Вы активировали Премиум аккаунт на 24 часа</font><hr>";
header('Location: donate.php?sd=premium');
exit;

break;

case 'premium5':

if($user['almaz']<30){
    $kl = 30-$user['almaz'];
    $_SESSION['premium']="<font color=red>Вам нехватает <img src='img/almaz.png'> $kl</font><hr>";
    header('Location: donate.php?sd=premium');
    exit;
}


if($user['premium_time']>=time()){
    mysql_query("UPDATE `users` SET `almaz`=`almaz`-'30',`premium`='1',`premium_time`=`premium_time`+'18000' WHERE `id`='$uid'");
}else{
    $pr = time()+18000;
    mysql_query("UPDATE `users` SET `almaz`=`almaz`-'30',`premium`='1',`premium_time`='$pr' WHERE `id`='$uid'");
}

$_SESSION['premium']="<font color=lightgreen>Вы активировали Премиум аккаунт на 5 часов</font><hr>";
header('Location: donate.php?sd=premium');
exit;

break;

case 'premium1':

if($user['almaz']<10){
    $kl = 10-$user['almaz'];
    $_SESSION['premium']="<font color=red>Вам нехватает <img src='img/almaz.png'> $kl</font><hr>";
    header('Location: donate.php?sd=premium');
    exit;
}


if($user['premium_time']>=time()){
    mysql_query("UPDATE `users` SET `almaz`=`almaz`-'10',`premium`='1',`premium_time`=`premium_time`+'3600' WHERE `id`='$uid'");
}else{
    $pr = time()+3600;
    mysql_query("UPDATE `users` SET `almaz`=`almaz`-'10',`premium`='1',`premium_time`='$pr' WHERE `id`='$uid'");
}

$_SESSION['premium']="<font color=lightgreen>Вы активировали Премиум аккаунт на 1 час</font><hr>";
header('Location: donate.php?sd=premium');
exit;

break;



case 'premium':

if($_SESSION['premium']!==''){
    echo $_SESSION['premium'];
    $_SESSION['premium']=null;
}

if($user['premium_time']>time()){
    echo "У вас активирован Премиум аккаунт, закончится через ".time_left($user['premium_time']-time())."<hr>";
}

echo "Премиум аккаунт увеличивает количество получаемого вознаграждения в охоте, на выпадение вещей и ресурсов с монстров не влияет.<br>
<img src='img/silver.png'> +100%<br><img src='img/exp.png'> +100%<br>- - -<br>";

echo "<img src='img/vip.png' width='22'> Заказать <a href='donate.php?sd=premium1'>Премиум аккаунт</a> на 1 час (<img src='img/almaz.png'> 10)<br>
<img src='img/vip.png' width='22'> Заказать <a href='donate.php?sd=premium5'>Премиум аккаунт</a> на 5 часов (<img src='img/almaz.png'> 30)<br>
<img src='img/vip.png' width='22'> Заказать <a href='donate.php?sd=premium24'>Премиум аккаунт</a> на 24 часа (<img src='img/almaz.png'> 140)<br>";


break;



}
include ('tmp/foot.php');
?>